Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0008977TestLinkBug Tracking System - JIRA Integrationpublic2020-08-10 12:192020-08-13 18:03
Reporterprasad.kapse 
Assigned Tofman 
PrioritynormalSeveritymajorReproducibilityalways
StatusassignedResolutionopen 
PlatformOSWindows 7 OS Version
Product Version1.9.20 
Fixed in Version 
Summary0008977: Getting error 'addIssue:Failure:JIRA Message: reporter=> Reporter is required.' while creating issue from TestLink 1.9.20[Dev]
DescriptionWhile saving Bug from TestLink application getting error 'addIssue:Failure:JIRA Message: reporter=> Reporter is required.' and unable to create New Bug from TestLink (NOTE:- I am able to link JIRA issue to TestLink Fail test case)
Steps To Reproduce1. I have created Issue Tracker Type = jira(interface: rest) and Test Connection OK.
2. I have mapped respective Issue Tracked to my project (Issue Tracker Integration drop down) and marked is as Active
3. From Execute Test menu, executed the test case and marked as 'Fail'
4. Click on 'Create Issue' icon in 'BUG Management' column
5. On Create issue pop up, I ahve filled details and click on 'Save' button
6. Getting error 'addIssue:Failure:JIRA Message: reporter=> Reporter is required.'
Additional InformationISSUE TRACKER Configuration - jira(interface: rest)

<!-- Template jirarestInterface -->
<issuetracker>
<username>Valid JIRA username</username>
<password>JIRA API key</password>
<uribase>https://XXXXXXX.atlassian.net/</uribase> [^]
<!-- CRITIC - WITH HTTP getIssue() DOES NOT WORK -->
<uriapi>https://XXXXXXX.atlassian.net/rest/api/latest/</uriapi> [^]
<uriview>https://XXXXXXX.atlassian.net/browse/</uriview> [^]
<userinteraction>1</userinteraction>
<!-- 1: User will be able to manage following attributes from GUI -->
<!-- Issue Type, Issue Priority, Affects Versions, Components -->
<!-- 0: values for attributes will be taken FROM this config XML from GUI -->

<!-- Configure This if you want be able TO CREATE ISSUES -->
<projectkey>DP1</projectkey>
<issuetype>3</issuetype>
<issuepriority>PRIORITY</issuepriority>
<!--
  <attributes>
    <customFieldValues>
      <customField>
        <customfieldId>customfield_10800</customfieldId>
        <type>NumberField</type> <values><value>111</value></values>
      </customField>

      <customField>
        <customfieldId>customfield_10900</customfieldId>
        <type>MultiSelect</type> <values><value>Yamaha Factory Racing</value>
                <value>Ducati</value></values>
      </customField>

    </customFieldValues>
  </attributes>
-->
</issuetracker>
TagsNo tags attached.
Database (MySQL,Postgres,etc)MySQL
Browser
PHP Version
TestCaseID
QA Team - Task Workflow StatusTBD
Attached Filespng file icon CreateIssue-screen-1.PNG [^] (18,076 bytes) 2020-08-10 12:19

- Relationships

-  Notes
(0029878)
fman (administrator)
2020-08-10 17:12

Please upgrade your code to github branch testlink_1_9_20_fixed
retest and provide feedback
(0029880)
prasad.kapse (reporter)
2020-08-11 08:59

Hi fman,

I didn't get what should I do ? from your comment. Could you please mention steps in details?

Thanks
(0029886)
davidbhlm (reporter)
2020-08-13 10:10

Hello team, Bitnami developer here,

We released Testlink 1.9.20 on bitnami.com. We obtain this code for SourceForge.

An user reported that some fixes were applied in `testlink_1_9_20_fixed` branch. Do you plan to release a new version with those fixes? That way, our system could track it and release it too.
(0029887)
fman (administrator)
2020-08-13 12:19

@davidbhlm
Each time I've produce a release I've sent an email to Beltran Rueda
I do not plan to create a release with testlink_1_9_20_fixed, because I would like to release 2.0.0, but still and need a lot of time for this task

best regards
(0029888)
davidbhlm (reporter)
2020-08-13 13:48

Thanks for your quick answer.

Regards
(0029889)
prasad.kapse (reporter)
2020-08-13 14:53

I am able to create Bug from TestLink 1.9.20 and it is displayed in JIRA Project (DP1).(NOTE - I need to map some fields like Assignee, Epic, etc. in JIRA for resp. Bug).

Below is the solution .

Open below file :-

C:\Bitnami\testlink-1.9.20-5\apps\testlink\htdocs\lib\issuetrackerintegration\jirarestInterface.class.php

comment following code using /* and */

/*
            if(property_exists($opt, 'reporter'))
            {
              $issue['fields']['reporter'] = array('name' => (string)$opt->reporter);
            }
    */

It is working for me. You can mark this issue as CLOSED. Thanks for your answer.
(0029890)
fman (administrator)
2020-08-13 18:03

I'm going to try to investigate if something has changed on JIRA side.
It seems that the $opt->reporter can be empty, not a good thing.
May be a better check need to be added.

- Issue History
Date Modified Username Field Change
2020-08-10 12:19 prasad.kapse New Issue
2020-08-10 12:19 prasad.kapse File Added: CreateIssue-screen-1.PNG
2020-08-10 13:31 fman QA Team - Task Workflow Status => TBD
2020-08-10 13:31 fman Priority immediate => normal
2020-08-10 17:12 fman Note Added: 0029878
2020-08-10 17:12 fman Assigned To => fman
2020-08-10 17:12 fman Status new => feedback
2020-08-11 08:59 prasad.kapse Note Added: 0029880
2020-08-11 08:59 prasad.kapse Status feedback => assigned
2020-08-13 10:10 davidbhlm Note Added: 0029886
2020-08-13 12:19 fman Note Added: 0029887
2020-08-13 13:48 davidbhlm Note Added: 0029888
2020-08-13 14:53 prasad.kapse Note Added: 0029889
2020-08-13 18:03 fman Note Added: 0029890



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker